Bug 219811 - php is crashing again
php is crashing again
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: php (Show other bugs)
4.4
i686 Linux
medium Severity low
: ---
: ---
Assigned To: Joe Orton
Kevin Baker
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-12-15 11:02 EST by William Lovaton
Modified: 2014-12-01 18:08 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-20 12:17:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Another core file from a new crash (5.21 MB, application/x-bzip)
2006-12-15 11:06 EST, William Lovaton
no flags Details
php.ini on the server (37.65 KB, application/octet-stream)
2006-12-15 11:14 EST, William Lovaton
no flags Details
This is the ini file for TurckMM-Cache (394 bytes, text/plain)
2006-12-15 11:18 EST, William Lovaton
no flags Details

  None (edit)
Description William Lovaton 2006-12-15 11:02:50 EST
Description of problem:
This bug report is a different issue found during the resolution of bug #219235.
 Apache crashed two times today with different backtraces, the core file for the
first crash is attached here:
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=219235#c16 and shows the
following backtrace:

(gdb) bt full
#0  0x001f4666 in malloc_consolidate () from /lib/tls/libc.so.6
No symbol table info available.
#1  0x001f5643 in _int_malloc () from /lib/tls/libc.so.6
No symbol table info available.
#2  0x001f7401 in malloc () from /lib/tls/libc.so.6
No symbol table info available.
#3  0x010fda96 in _emalloc () from /etc/httpd/modules/libphp4.so
No symbol table info available.
#4  0x010f0f5c in php_end_implicit_flush () from /etc/httpd/modules/libphp4.so
No symbol table info available.
#5  0x0000a001 in ?? ()
No symbol table info available.
#6  0x00000000 in ?? ()
No symbol table info available.


The second crash happened later with the following message in error_log:
[Fri Dec 15 10:34:58 2006] [notice] child pid 16791 exit signal Bus error (7),
possible coredump in /tmp/httpd-coredump

What does "signal Bus error (7)" mean?  The backtrace is as follows:

(gdb) bt full
#0  0x001fda2c in memcpy () from /lib/tls/libc.so.6
No symbol table info available.
#1  0x010ed49e in _php_stream_copy_to_mem () from /etc/httpd/modules/libphp4.so
No symbol table info available.
#2  0x0108d0ab in zif_file_get_contents () from /etc/httpd/modules/libphp4.so
No symbol table info available.
#3  0x01121022 in execute () from /etc/httpd/modules/libphp4.so
No symbol table info available.
#4  0x0111f36a in execute () from /etc/httpd/modules/libphp4.so
No symbol table info available.
#5  0x0111f36a in execute () from /etc/httpd/modules/libphp4.so
No symbol table info available.
#6  0x0111f36a in execute () from /etc/httpd/modules/libphp4.so
No symbol table info available.
#7  0x0111f36a in execute () from /etc/httpd/modules/libphp4.so
No symbol table info available.
#8  0x0111f36a in execute () from /etc/httpd/modules/libphp4.so
No symbol table info available.
#9  0x0111f36a in execute () from /etc/httpd/modules/libphp4.so
No symbol table info available.
#10 0x0110e9c5 in zend_execute_scripts () from /etc/httpd/modules/libphp4.so
No symbol table info available.
#11 0x010e17b9 in php_execute_script () from /etc/httpd/modules/libphp4.so
No symbol table info available.
#12 0x00000000 in ?? ()
No symbol table info available.

I'll attach the bzipped core and the ini files to this bug report later.  Note
that I still have ZendOptimizer-2.6.2.so disabled.  I am going to enable it
again after attaching the ini files.


Version-Release number of selected component (if applicable):
php-ldap-4.3.9-3.23
php-4.3.9-3.23
php-pear-4.3.9-3.23
php-gd-4.3.9-3.23
php-devel-4.3.9-3.23

This packages were downloaded from: http://people.redhat.com/jorton/Nahant-php/


How reproducible:
It doesn't happen very often and doesn't seem to affect the system from an end
user point of view.
Comment 1 William Lovaton 2006-12-15 11:06:38 EST
Created attachment 143776 [details]
Another core file from a new crash

this one got the following message in error_log:
[Fri Dec 15 10:34:58 2006] [notice] child pid 16791 exit signal Bus error (7),
possible coredump in /tmp/httpd-coredump
Comment 2 William Lovaton 2006-12-15 11:14:38 EST
Created attachment 143779 [details]
php.ini on the server

this is the php.ini that I have on my production web server.  The diff against
the original php.ini is the following:

-output_buffering = Off
+output_buffering = On

-;output_handler =
+output_handler = ob_gzhandler

-max_execution_time = 30     ; Maximum execution time of each script, in
seconds
+max_execution_time = 60     ; Maximum execution time of each script, in
seconds

-memory_limit = 8M	; Maximum amount of memory a script may consume (8MB)
+memory_limit = 512M	  ; Maximum amount of memory a script may consume
(512MB)

-error_reporting  =  E_ALL
+error_reporting  =  E_ALL & ~E_NOTICE

-display_errors = Off
+display_errors = On

-display_startup_errors = Off
+display_startup_errors = On

-;error_log = filename
+error_log = /tmp/public/phpError.log

+include_path = ".:/usr/share/pear:/usr/local/php-includes"

-session.gc_maxlifetime = 1440
+session.gc_maxlifetime = 2400
Comment 3 William Lovaton 2006-12-15 11:18:03 EST
Created attachment 143780 [details]
This is the ini file for TurckMM-Cache

Note that I will re-enable the Zend Optimizer after sending this attachment
Comment 4 William Lovaton 2006-12-15 11:20:17 EST
And finally, this are some ini files that loads extra modules:

cat fdf.ini gd.ini ldap.ini mssql.ini oci8.ini 

; Extension FDF
extension = fdf.so
; Enable gd extension module
extension=gd.so
; Enable ldap extension module
extension=ldap.so
; Extension para MS SQL Server
extension = mssql.so
; Configuracion del modulo de Oracle
extension=oci8.so

Comment 5 William Lovaton 2006-12-18 09:47:50 EST
I got several backtraces on Dec 15, this is the first one:

(gdb) bt full
#0  0x33303531 in ?? ()
No symbol table info available.
#1  0x010a939a in zend_hash_destroy () from /etc/httpd/modules/libphp4.so
No symbol table info available.
#2  0x010a320a in _zval_dtor () from /etc/httpd/modules/libphp4.so
No symbol table info available.
#3  0x0109a84b in _zval_ptr_dtor () from /etc/httpd/modules/libphp4.so
No symbol table info available.
#4  0x010a939a in zend_hash_destroy () from /etc/httpd/modules/libphp4.so
No symbol table info available.
#5  0x010a320a in _zval_dtor () from /etc/httpd/modules/libphp4.so
No symbol table info available.
#6  0x0109a84b in _zval_ptr_dtor () from /etc/httpd/modules/libphp4.so
No symbol table info available.
#7  0x010a939a in zend_hash_destroy () from /etc/httpd/modules/libphp4.so
No symbol table info available.
#8  0x010a324a in _zval_dtor () from /etc/httpd/modules/libphp4.so
No symbol table info available.
#9  0x0109a84b in _zval_ptr_dtor () from /etc/httpd/modules/libphp4.so
No symbol table info available.
#10 0x010a939a in zend_hash_destroy () from /etc/httpd/modules/libphp4.so
No symbol table info available.
#11 0x0109aa6c in shutdown_executor () from /etc/httpd/modules/libphp4.so
No symbol table info available.
#12 0x010a42d5 in zend_deactivate () from /etc/httpd/modules/libphp4.so
No symbol table info available.
#13 0x010758da in php_request_shutdown () from /etc/httpd/modules/libphp4.so
No symbol table info available.
#14 0x010bf7ce in execute () from /etc/httpd/modules/libphp4.so
No symbol table info available.
#15 0x00b549c7 in ap_run_handler () from /usr/sbin/httpd
No symbol table info available.
#16 0x00b54e33 in ap_invoke_handler () from /usr/sbin/httpd
No symbol table info available.
#17 0x00b518b5 in ap_process_request () from /usr/sbin/httpd
No symbol table info available.
#18 0x00b4c63f in _start () from /usr/sbin/httpd
No symbol table info available.
#19 0x08e924f0 in ?? ()
No symbol table info available.
#20 0x00000004 in ?? ()
No symbol table info available.
#21 0x08e924f0 in ?? ()
No symbol table info available.
#22 0x08ed3428 in ?? ()
No symbol table info available.
#23 0x08ed343c in ?? ()
No symbol table info available.
#24 0x00000000 in ?? ()
No symbol table info available.
Comment 6 William Lovaton 2006-12-18 09:53:32 EST
This one is almost the same:

(gdb) bt full
#0  0x0109a814 in _zval_ptr_dtor () from /etc/httpd/modules/libphp4.so
No symbol table info available.
#1  0x010a939a in zend_hash_destroy () from /etc/httpd/modules/libphp4.so
No symbol table info available.
#2  0x010a320a in _zval_dtor () from /etc/httpd/modules/libphp4.so
No symbol table info available.
#3  0x0109a84b in _zval_ptr_dtor () from /etc/httpd/modules/libphp4.so
No symbol table info available.
#4  0x010a939a in zend_hash_destroy () from /etc/httpd/modules/libphp4.so
No symbol table info available.
#5  0x010a320a in _zval_dtor () from /etc/httpd/modules/libphp4.so
No symbol table info available.
#6  0x0109a84b in _zval_ptr_dtor () from /etc/httpd/modules/libphp4.so
No symbol table info available.
#7  0x010a939a in zend_hash_destroy () from /etc/httpd/modules/libphp4.so
No symbol table info available.
#8  0x010a324a in _zval_dtor () from /etc/httpd/modules/libphp4.so
No symbol table info available.
#9  0x0109a84b in _zval_ptr_dtor () from /etc/httpd/modules/libphp4.so
No symbol table info available.
#10 0x010a939a in zend_hash_destroy () from /etc/httpd/modules/libphp4.so
No symbol table info available.
#11 0x0109aa6c in shutdown_executor () from /etc/httpd/modules/libphp4.so
No symbol table info available.
#12 0x010a42d5 in zend_deactivate () from /etc/httpd/modules/libphp4.so
No symbol table info available.
#13 0x010758da in php_request_shutdown () from /etc/httpd/modules/libphp4.so
No symbol table info available.
#14 0x010bf7ce in execute () from /etc/httpd/modules/libphp4.so
No symbol table info available.
#15 0x00b549c7 in ap_run_handler () from /usr/sbin/httpd
No symbol table info available.
#16 0x00b54e33 in ap_invoke_handler () from /usr/sbin/httpd
No symbol table info available.
#17 0x00b518b5 in ap_process_request () from /usr/sbin/httpd
No symbol table info available.
#18 0x00b4c63f in _start () from /usr/sbin/httpd
No symbol table info available.
#19 0x08e904e8 in ?? ()
No symbol table info available.
#20 0x00000004 in ?? ()
No symbol table info available.
#21 0x08e904e8 in ?? ()
No symbol table info available.
#22 0x08ed3428 in ?? ()
No symbol table info available.
#23 0x08ed343c in ?? ()
No symbol table info available.
#24 0x00000000 in ?? ()
No symbol table info available.
Comment 7 William Lovaton 2006-12-18 09:57:59 EST
There are several core files that generates the same backtraces but this one is
different and it looks like oci8 related:

(gdb) bt full
#0  0x007b77a2 in _dl_sysinfo_int80 () from /lib/ld-linux.so.2
No symbol table info available.
#1  0x009a97a5 in raise () from /lib/tls/libc.so.6
No symbol table info available.
#2  0x009ab209 in abort () from /lib/tls/libc.so.6
No symbol table info available.
#3  0x009dd71a in __libc_message () from /lib/tls/libc.so.6
No symbol table info available.
#4  0x009e3fbf in _int_free () from /lib/tls/libc.so.6
No symbol table info available.
#5  0x009e433a in free () from /lib/tls/libc.so.6
No symbol table info available.
#6  0x01093c6d in _efree () from /etc/httpd/modules/libphp4.so
No symbol table info available.
#7  0x0045cc45 in _oci_column_hash_dtor (data=0x90862e8) at
/root/php-4.3.11/ext/oci8/oci8.c:750
No locals.
#8  0x010a939a in zend_hash_destroy () from /etc/httpd/modules/libphp4.so
No symbol table info available.
#9  0x0045d061 in _oci_stmt_list_dtor (rsrc=0x90d094c) at
/root/php-4.3.11/ext/oci8/oci8.c:784
        statement = (oci_statement *) 0x90864c4
#10 0x010aaa1a in list_entry_destructor () from /etc/httpd/modules/libphp4.so
No symbol table info available.
#11 0x010a9292 in zend_hash_del_key_or_index () from /etc/httpd/modules/libphp4.so
No symbol table info available.
#12 0x010aa771 in _zend_list_delete () from /etc/httpd/modules/libphp4.so
No symbol table info available.
#13 0x010a31e6 in _zval_dtor () from /etc/httpd/modules/libphp4.so
No symbol table info available.
#14 0x0109a84b in _zval_ptr_dtor () from /etc/httpd/modules/libphp4.so
No symbol table info available.
#15 0x010a939a in zend_hash_destroy () from /etc/httpd/modules/libphp4.so
No symbol table info available.
#16 0x010a324a in _zval_dtor () from /etc/httpd/modules/libphp4.so
No symbol table info available.
#17 0x0109a84b in _zval_ptr_dtor () from /etc/httpd/modules/libphp4.so
No symbol table info available.
#18 0x010a948a in zend_hash_clean () from /etc/httpd/modules/libphp4.so
No symbol table info available.
#19 0x00e6a86f in zend_optimizer_set_oe_ex () from
/usr/lib/php4/ZendOptimizer-2.6.2.so
No symbol table info available.
#20 0x08f8e9d4 in ?? ()
No symbol table info available.
#21 0x00000000 in ?? ()
No symbol table info available.
Comment 8 William Lovaton 2006-12-18 13:00:48 EST
It crashed again when I was executing a monitoring script, it doesn't use any
connection to the databases, it just reads the session files to extract some
information.  The backtrace is the following:

(gdb) bt full
#0  0x005cda2c in memcpy () from /lib/tls/libc.so.6
No symbol table info available.
#1  0x010da49e in _php_stream_copy_to_mem () from /etc/httpd/modules/libphp4.so
No symbol table info available.
#2  0x0107a0ab in zif_file_get_contents () from /etc/httpd/modules/libphp4.so
No symbol table info available.
#3  0x04c56ae7 in zend_optimizer_set_oe_ex () from
/usr/lib/php4/ZendOptimizer-2.6.2.so
No symbol table info available.
#4  0x00000001 in ?? ()
No symbol table info available.
#5  0x088b0394 in ?? ()
No symbol table info available.
#6  0x00000000 in ?? ()
No symbol table info available.

It seems Zend Optimizer related so I am going to disable it for a while and see
if this prevent the random crashes.
Comment 9 William Lovaton 2006-12-18 16:32:40 EST
This one just happened:

(gdb) bt full
#0  0x005e7a2c in memcpy () from /lib/tls/libc.so.6
No symbol table info available.
#1  0x00d1749e in _php_stream_copy_to_mem () from /etc/httpd/modules/libphp4.so
No symbol table info available.
#2  0x00cb70ab in zif_file_get_contents () from /etc/httpd/modules/libphp4.so
No symbol table info available.
#3  0x00d4b022 in execute () from /etc/httpd/modules/libphp4.so
No symbol table info available.
#4  0x00d4936a in execute () from /etc/httpd/modules/libphp4.so
No symbol table info available.
#5  0x00d4936a in execute () from /etc/httpd/modules/libphp4.so
No symbol table info available.
#6  0x00d4936a in execute () from /etc/httpd/modules/libphp4.so
No symbol table info available.
#7  0x00d389c5 in zend_execute_scripts () from /etc/httpd/modules/libphp4.so
No symbol table info available.
#8  0x00d0b7b9 in php_execute_script () from /etc/httpd/modules/libphp4.so
No symbol table info available.
#9  0x00000000 in ?? ()
No symbol table info available.


If you need an specific core dump file, just ask.
Comment 10 William Lovaton 2006-12-19 11:50:00 EST
I got this one a few minutes ago:

(gdb) bt full
#0  0x0106cc2f in _efree () from /etc/httpd/modules/libphp4.so
No symbol table info available.
#1  0x010884e2 in zend_assign_to_variable_reference () from
/etc/httpd/modules/libphp4.so
No symbol table info available.
#2  0x0108e181 in execute () from /etc/httpd/modules/libphp4.so
No symbol table info available.
#3  0x010744c5 in call_user_function_ex () from /etc/httpd/modules/libphp4.so
No symbol table info available.
#4  0x0107d793 in zend_error () from /etc/httpd/modules/libphp4.so
No symbol table info available.
#5  0x010838dd in zend_fetch_resource () from /etc/httpd/modules/libphp4.so
No symbol table info available.
#6  0x006c3140 in oci_get_stmt (stmt=Variable "stmt" is not available.
) at /root/php-4.3.11/ext/oci8/oci8.c:1092
        statement = Variable "statement" is not available.


Note that this time Zend Optimizer is disabled and the oci8 module is from php
4.3.11.  Do you think it would be better to use the oci8 module from php 4.3.9??
 Are there any patches in the src rpm for the oci8 module in RHEL php?  What
would you advise me?

Thanks.
Comment 11 William Lovaton 2010-07-01 18:47:27 EDT
Hello Joe,

Now I'm getting these segfault in one of my production servers:


Core was generated by `/usr/sbin/httpd'.
Program terminated with signal 7, Bus error.
(no debugging symbols found)
Loaded symbols for /usr/sbin/httpd
Reading symbols from /lib/libcwait.so...(no debugging symbols found)...done.
Loaded symbols for /lib/libcwait.so
Reading symbols from /lib/libpcre.so.0...(no debugging symbols found)...done.
Loaded symbols for /lib/libpcre.so.0
Reading symbols from /usr/lib/libpcreposix.so.0...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/libpcreposix.so.0
Reading symbols from /usr/lib/libaprutil-0.so.0...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/libaprutil-0.so.0
Reading symbols from /usr/lib/libldap-2.2.so.7...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/libldap-2.2.so.7
Reading symbols from /usr/lib/liblber-2.2.so.7...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/liblber-2.2.so.7
Reading symbols from /lib/tls/i686/libdb-4.2.so...
(no debugging symbols found)...done.
Loaded symbols for /lib/tls/i686/libdb-4.2.so
Reading symbols from /usr/lib/libexpat.so.0...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/libexpat.so.0
Reading symbols from /usr/lib/libapr-0.so.0...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/libapr-0.so.0
Reading symbols from /lib/tls/librt.so.1...(no debugging symbols found)...done.
Loaded symbols for /lib/tls/librt.so.1
Reading symbols from /lib/tls/libm.so.6...(no debugging symbols found)...done.
Loaded symbols for /lib/tls/libm.so.6
Reading symbols from /lib/libcrypt.so.1...(no debugging symbols found)...done.
Loaded symbols for /lib/libcrypt.so.1
Reading symbols from /lib/tls/libpthread.so.0...
(no debugging symbols found)...done.
Loaded symbols for /lib/tls/libpthread.so.0
Reading symbols from /lib/libdl.so.2...(no debugging symbols found)...done.
Loaded symbols for /lib/libdl.so.2
Reading symbols from /lib/tls/libc.so.6...(no debugging symbols found)...done.
Loaded symbols for /lib/tls/libc.so.6
Reading symbols from /lib/libresolv.so.2...(no debugging symbols found)...done.
Loaded symbols for /lib/libresolv.so.2
Reading symbols from /usr/lib/libsasl2.so.2...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/libsasl2.so.2
Reading symbols from /lib/libssl.so.4...(no debugging symbols found)...done.
Loaded symbols for /lib/libssl.so.4
Reading symbols from /lib/libcrypto.so.4...
(no debugging symbols found)...done.
Loaded symbols for /lib/libcrypto.so.4
Reading symbols from /lib/ld-linux.so.2...(no debugging symbols found)...done.
Loaded symbols for /lib/ld-linux.so.2
Reading symbols from /usr/lib/libgssapi_krb5.so.2...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/libgssapi_krb5.so.2
Reading symbols from /usr/lib/libkrb5.so.3...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/libkrb5.so.3
Reading symbols from /lib/libcom_err.so.2...(no debugging symbols found)...done.
Loaded symbols for /lib/libcom_err.so.2
Reading symbols from /usr/lib/libk5crypto.so.3...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/libk5crypto.so.3
Reading symbols from /usr/lib/libz.so.1...
(no debugging symbols found)...done.
Loaded symbols for /usr/lib/libz.so.1
Reading symbols from /lib/libnss_files.so.2...(no debugging symbols found)...done.
Loaded symbols for /lib/libnss_files.so.2
Reading symbols from /usr/lib/httpd/modules/mod_access.so...(no debugging symbols found)...done.
Loaded symbols for /etc/httpd/modules/mod_access.so
Reading symbols from /usr/lib/httpd/modules/mod_auth.so...(no debugging symbols found)...done.
Loaded symbols for /etc/httpd/modules/mod_auth.so
Reading symbols from /usr/lib/httpd/modules/mod_auth_anon.so...(no debugging symbols found)...done.
Loaded symbols for /etc/httpd/modules/mod_auth_anon.so
Reading symbols from /usr/lib/httpd/modules/mod_auth_dbm.so...(no debugging symbols found)...done.
Loaded symbols for /etc/httpd/modules/mod_auth_dbm.so
Reading symbols from /usr/lib/httpd/modules/mod_auth_digest.so...
(no debugging symbols found)...done.
Loaded symbols for /etc/httpd/modules/mod_auth_digest.so
Reading symbols from /usr/lib/httpd/modules/mod_ldap.so...(no debugging symbols found)...done.
Loaded symbols for /etc/httpd/modules/mod_ldap.so
Reading symbols from /usr/lib/httpd/modules/mod_auth_ldap.so...(no debugging symbols found)...done.
Loaded symbols for /etc/httpd/modules/mod_auth_ldap.so
Reading symbols from /usr/lib/httpd/modules/mod_include.so...(no debugging symbols found)...done.
Loaded symbols for /etc/httpd/modules/mod_include.so
Reading symbols from /usr/lib/httpd/modules/mod_log_config.so...(no debugging symbols found)...done.
Loaded symbols for /etc/httpd/modules/mod_log_config.so
Reading symbols from /usr/lib/httpd/modules/mod_env.so...(no debugging symbols found)...done.
Loaded symbols for /etc/httpd/modules/mod_env.so
Reading symbols from /usr/lib/httpd/modules/mod_mime_magic.so...
(no debugging symbols found)...done.
Loaded symbols for /etc/httpd/modules/mod_mime_magic.so
Reading symbols from /usr/lib/httpd/modules/mod_cern_meta.so...(no debugging symbols found)...done.
Loaded symbols for /etc/httpd/modules/mod_cern_meta.so
Reading symbols from /usr/lib/httpd/modules/mod_expires.so...(no debugging symbols found)...done.
Loaded symbols for /etc/httpd/modules/mod_expires.so
Reading symbols from /usr/lib/httpd/modules/mod_deflate.so...(no debugging symbols found)...done.
Loaded symbols for /etc/httpd/modules/mod_deflate.so
Reading symbols from /usr/lib/httpd/modules/mod_headers.so...(no debugging symbols found)...done.
Loaded symbols for /etc/httpd/modules/mod_headers.so
Reading symbols from /usr/lib/httpd/modules/mod_usertrack.so...(no debugging symbols found)...done.
Loaded symbols for /etc/httpd/modules/mod_usertrack.so
Reading symbols from /usr/lib/httpd/modules/mod_setenvif.so...
(no debugging symbols found)...done.
Loaded symbols for /etc/httpd/modules/mod_setenvif.so
Reading symbols from /usr/lib/httpd/modules/mod_mime.so...(no debugging symbols found)...done.
Loaded symbols for /etc/httpd/modules/mod_mime.so
Reading symbols from /usr/lib/httpd/modules/mod_dav.so...(no debugging symbols found)...done.
Loaded symbols for /etc/httpd/modules/mod_dav.so
Reading symbols from /usr/lib/httpd/modules/mod_status.so...(no debugging symbols found)...done.
Loaded symbols for /etc/httpd/modules/mod_status.so
Reading symbols from /usr/lib/httpd/modules/mod_autoindex.so...(no debugging symbols found)...done.
Loaded symbols for /etc/httpd/modules/mod_autoindex.so
Reading symbols from /usr/lib/httpd/modules/mod_asis.so...(no debugging symbols found)...done.
Loaded symbols for /etc/httpd/modules/mod_asis.so
Reading symbols from /usr/lib/httpd/modules/mod_info.so...
(no debugging symbols found)...done.
Loaded symbols for /etc/httpd/modules/mod_info.so
Reading symbols from /usr/lib/httpd/modules/mod_dav_fs.so...(no debugging symbols found)...done.
Loaded symbols for /etc/httpd/modules/mod_dav_fs.so
Reading symbols from /usr/lib/httpd/modules/mod_vhost_alias.so...(no debugging symbols found)...done.
Loaded symbols for /etc/httpd/modules/mod_vhost_alias.so
Reading symbols from /usr/lib/httpd/modules/mod_negotiation.so...(no debugging symbols found)...done.
Loaded symbols for /etc/httpd/modules/mod_negotiation.so
Reading symbols from /usr/lib/httpd/modules/mod_dir.so...(no debugging symbols found)...done.
Loaded symbols for /etc/httpd/modules/mod_dir.so
Reading symbols from /usr/lib/httpd/modules/mod_imap.so...(no debugging symbols found)...done.
Loaded symbols for /etc/httpd/modules/mod_imap.so
Reading symbols from /usr/lib/httpd/modules/mod_actions.so...
(no debugging symbols found)...done.
Loaded symbols for /etc/httpd/modules/mod_actions.so
Reading symbols from /usr/lib/httpd/modules/mod_speling.so...(no debugging symbols found)...done.
Loaded symbols for /etc/httpd/modules/mod_speling.so
Reading symbols from /usr/lib/httpd/modules/mod_userdir.so...(no debugging symbols found)...done.
Loaded symbols for /etc/httpd/modules/mod_userdir.so
Reading symbols from /usr/lib/httpd/modules/mod_alias.so...(no debugging symbols found)...done.
Loaded symbols for /etc/httpd/modules/mod_alias.so
Reading symbols from /usr/lib/httpd/modules/mod_rewrite.so...(no debugging symbols found)...done.
Loaded symbols for /etc/httpd/modules/mod_rewrite.so
Reading symbols from /usr/lib/httpd/modules/mod_proxy.so...(no debugging symbols found)...done.
Loaded symbols for /etc/httpd/modules/mod_proxy.so
Reading symbols from /usr/lib/httpd/modules/mod_proxy_ftp.so...
(no debugging symbols found)...done.
Loaded symbols for /etc/httpd/modules/mod_proxy_ftp.so
Reading symbols from /usr/lib/httpd/modules/mod_proxy_http.so...(no debugging symbols found)...done.
Loaded symbols for /etc/httpd/modules/mod_proxy_http.so
Reading symbols from /usr/lib/httpd/modules/mod_proxy_connect.so...(no debugging symbols found)...done.
Loaded symbols for /etc/httpd/modules/mod_proxy_connect.so
Reading symbols from /usr/lib/httpd/modules/mod_cache.so...(no debugging symbols found)...done.
Loaded symbols for /etc/httpd/modules/mod_cache.so
Reading symbols from /usr/lib/httpd/modules/mod_suexec.so...(no debugging symbols found)...done.
Loaded symbols for /etc/httpd/modules/mod_suexec.so
Reading symbols from /usr/lib/httpd/modules/mod_disk_cache.so...(no debugging symbols found)...done.
Loaded symbols for /etc/httpd/modules/mod_disk_cache.so
Reading symbols from /usr/lib/httpd/modules/mod_file_cache.so...
(no debugging symbols found)...done.
Loaded symbols for /etc/httpd/modules/mod_file_cache.so
Reading symbols from /usr/lib/httpd/modules/mod_mem_cache.so...(no debugging symbols found)...done.
Loaded symbols for /etc/httpd/modules/mod_mem_cache.so
Reading symbols from /usr/lib/httpd/modules/mod_cgi.so...(no debugging symbols found)...done.
Loaded symbols for /etc/httpd/modules/mod_cgi.so
Reading symbols from /usr/lib/httpd/modules/mod_perl.so...(no debugging symbols found)...done.
Loaded symbols for /etc/httpd/modules/mod_perl.so
Reading symbols from /usr/lib/perl5/5.8.5/i386-linux-thread-multi/CORE/libperl.so...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/perl5/5.8.5/i386-linux-thread-multi/CORE/libperl.so
Reading symbols from /lib/libnsl.so.1...(no debugging symbols found)...done.
Loaded symbols for /lib/libnsl.so.1
Reading symbols from /lib/libutil.so.1...
(no debugging symbols found)...done.
Loaded symbols for /lib/libutil.so.1
Reading symbols from /usr/lib/httpd/modules/libphp4.so...(no debugging symbols found)...done.
Loaded symbols for /etc/httpd/modules/libphp4.so
Reading symbols from /usr/lib/libpspell.so.15...(no debugging symbols found)...done.
Loaded symbols for /usr/lib/libpspell.so.15
Reading symbols from /usr/lib/sse2/libgmp.so.3...done.
Loaded symbols for /usr/lib/sse2/libgmp.so.3
Reading symbols from /usr/lib/libcurl.so.3...done.
Loaded symbols for /usr/lib/libcurl.so.3
Reading symbols from /usr/lib/libbz2.so.1...done.
Loaded symbols for /usr/lib/libbz2.so.1
Reading symbols from /usr/lib/libidn.so.11...done.
Loaded symbols for /usr/lib/libidn.so.11
Reading symbols from /usr/lib/libaspell.so.15...done.
Loaded symbols for /usr/lib/libaspell.so.15
Reading symbols from /usr/lib/libstdc++.so.6...done.
Loaded symbols for /usr/lib/libstdc++.so.6
Reading symbols from /lib/libgcc_s.so.1...done.
Loaded symbols for /lib/libgcc_s.so.1
Reading symbols from /usr/lib/php4/xcache.so...done.
Loaded symbols for /usr/lib/php4/xcache.so
Reading symbols from /usr/lib/php4/gd.so...done.
Loaded symbols for /usr/lib/php4/gd.so
Reading symbols from /usr/lib/libfreetype.so.6...done.
Loaded symbols for /usr/lib/libfreetype.so.6
Reading symbols from /usr/lib/libpng12.so.0...done.
Loaded symbols for /usr/lib/libpng12.so.0
Reading symbols from /usr/lib/libjpeg.so.62...done.
Loaded symbols for /usr/lib/libjpeg.so.62
Reading symbols from /usr/lib/php4/json.so...done.
Loaded symbols for /usr/lib/php4/json.so
Reading symbols from /usr/lib/php4/ldap.so...done.
Loaded symbols for /usr/lib/php4/ldap.so
Reading symbols from /usr/lib/php4/oci8.so...done.
Loaded symbols for /usr/lib/php4/oci8.so
Reading symbols from /opt/oracle/product/9.2.0/lib/libclntsh.so.9.0...done.
Loaded symbols for /opt/oracle/product/9.2.0/lib/libclntsh.so.9.0
Reading symbols from /opt/oracle/product/9.2.0/lib/libwtc9.so...done.
Loaded symbols for /opt/oracle/product/9.2.0/lib/libwtc9.so
Reading symbols from /lib/libnss_dns.so.2...done.
Loaded symbols for /lib/libnss_dns.so.2
#0  0x0030a4bc in memcpy () from /lib/tls/libc.so.6
(gdb) 
(gdb) 
(gdb) 
(gdb) 
(gdb) bt 
#0  0x0030a4bc in memcpy () from /lib/tls/libc.so.6
#1  0x06b0a8be in _php_stream_copy_to_mem () from /etc/httpd/modules/libphp4.so
#2  0x06aa9beb in zif_file_get_contents () from /etc/httpd/modules/libphp4.so
#3  0x06b3e492 in execute () from /etc/httpd/modules/libphp4.so
#4  0x06b3c7da in execute () from /etc/httpd/modules/libphp4.so
#5  0x06b3c7da in execute () from /etc/httpd/modules/libphp4.so
#6  0x06b3c7da in execute () from /etc/httpd/modules/libphp4.so
#7  0x06b3c7da in execute () from /etc/httpd/modules/libphp4.so
#8  0x06b2be25 in zend_execute_scripts () from /etc/httpd/modules/libphp4.so
#9  0x06afea29 in php_execute_script () from /etc/httpd/modules/libphp4.so
#10 0x00000000 in ?? ()

Any idea about this crash?

php-gd-4.3.9-3.26
php-xcache-4.3.9_1.2.2-jason.1
php-ldap-4.3.9-3.26
php-devel-4.3.9-3.26
php-pear-4.3.9-3.26
php-4.3.9-3.26

glibc-2.3.4-2.41.el4_7.1
kernel-2.6.9-78.0.17.EL

The web app is running in 2 identical servers and the load is balanced with a Netscaler but the crash is only occurring in one of the servers (there is no segfault report in the error_log of the other one).
Comment 13 Jiri Pallich 2012-06-20 12:17:56 EDT
Thank you for submitting this issue for consideration in Red Hat Enterprise Linux. The release for which you requested us to review is now End of Life. 
Please See https://access.redhat.com/support/policy/updates/errata/

If you would like Red Hat to re-consider your feature request for an active release, please re-open the request via appropriate support channels and provide additional supporting details about the importance of this issue.

Note You need to log in before you can comment on or make changes to this bug.